Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class PersistenceProviderImpl

    java.lang.Object
      org.apache.openjpa.persistence.PersistenceProviderImpl

    public class PersistenceProviderImpl

extends Object

Bootstrapping class that allows the creation of a stand-alone `EntityManager`.

See Also:
  `Persistence#createEntityManagerFactory(String,Map)`

Constructor Summary
`PersistenceProviderImpl()`

Method Summary
`EntityManagerFactory` | `createContainerEntityManagerFactory(PersistenceUnitInfo pui, Map m)`
`EntityManagerFactory` | `createEntityManagerFactory(String name, Map m)`
`EntityManagerFactory` | `createEntityManagerFactory(String name, String resource, Map m)` Loads the entity manager specified by `name`, applying the properties in `m` as overrides to the properties defined in the XML configuration file for `name`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceProviderImpl

    public PersistenceProviderImpl()

Method Detail

### createEntityManagerFactory

    public EntityManagerFactory createEntityManagerFactory(String name,
                                                           String resource,
                                                           Map m)

  Loads the entity manager specified by `name`, applying the properties in `m` as overrides to the properties defined in the XML configuration file for `name`. If `name` is `null`, this method loads the XML in the resource identified by `resource`, and uses the first resource found when doing this lookup, regardless of the name specified in the XML resource or the name of the jar that the resource is contained in. This does no pooling of EntityManagersFactories.

### createEntityManagerFactory

    public EntityManagerFactory createEntityManagerFactory(String name,
                                                           Map m)

### createContainerEntityManagerFactory

    public EntityManagerFactory createContainerEntityManagerFactory(PersistenceUnitInfo pui,
                                                                    Map m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.